=== debian/changelog ===
quassel (1:0.13.1-5) unstable; urgency=medium

  [ Christian Göttsche ]
  * Start quasselcore with --require-ssl (Closes: #950244)

  [ Felix Geyer ]
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 12 Feb 2021 18:40:17 +0100

quassel (1:0.13.1-4) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add explicit build-depeds on debhelper (>= 10.3~) since we use dh_missing
  * Bump standards-version to 4.5.0 without further change
  * Add Recommends: ca-certificates to quassel and quassel-client so network
    certificates can be verified

  [ Felix Geyer ]
  * Add patches to fix building against Qt 5.14 from Ubuntu.
    Thanks Dan Streetman! (Closes: #964687)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 13 Jul 2020 23:13:31 +0200

quassel (1:0.13.1-3) unstable; urgency=medium

  * Delete quassel-core.NEWS, not needed
  * Bump standards version to 4.4.1 without further change
  * Switch from deboan/compat + debhelper to debhelper-compat

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jan 2020 15:55:00 -0500

quassel (1:0.13.1-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Fix quasselcore AppArmor denials when the config is saved. (Closes:
    #940482)

  [ Scott Kitterman ]
  * Correct default channel for Debian
  * Add NEWS entry about reloading the quaseelcore AppArmor profile

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Jan 2020 15:00:28 -0500

quassel (1:0.13.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream bugfix release
  * Do not explicitly set DEMBED_DATA=OFF, it is the default when KDE (Kf5)
    integration is enabled
  * Update debian/copyright
  * Add hurd-i386 to libqt5webkit5-dev build-depends arch list, since it is
    available there

  [ Shane Synan ]
  * Clean up and update manpages with new options for Quassel 0.13.1

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Feb 2019 13:00:08 -0500

quassel (1:0.13.0-4) unstable; urgency=medium

  * Fix install of ufw profile so install is only attempted for quassel-core
    (fixes arch all FTBFS)
  * Replace obsolete dh_install --fail-missing with dh_missing --fail-missing

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Jan 2019 04:33:59 -0500

quassel (1:0.13.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Make quassel-data Multi-Arch: foreign
  * Add apparmor profile (adopted from Ubuntu)
  * Bump standards-version to 4.3.0 without further change

  [ Michael Marley ]
  * Add reload support to quasselcore service to re-read SSL certificates
  * Add ufw profile (adopted from Ubuntu)

  [ Shane Synan ]
  * Clean up and update manpages with new options for Quassel 0.13.0
  * Update manpages to mention file paths for quassel, quasselclient, and
    quasselcore (Closes: #724617)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jan 2019 23:45:11 -0500
