## quassel 0.13.1-3ubuntu2.1%2B10.0trisquel2

=== debian/changelog ===
quassel (1:0.13.1-3ubuntu2.1+10.0trisquel2) nabia; urgency=medium

  * Change default channel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 15:55:16 +0000

quassel (1:0.13.1-3ubuntu2.1) focal; urgency=medium

  * d/usr.bin.quasselcore:
    - Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dan Streetman <ddstreet@canonical.com>  Sun, 28 Jun 2020 11:01:19 -0400

quassel (1:0.13.1-3ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:57:55 +0100

quassel (1:0.13.1-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change the default channel to #lubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 09:36:26 +0100

quassel (1:0.13.1-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change the default channel to #lubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jan 2020 09:29:40 +0100

quassel (1:0.13.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Change the default channel to #lubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Feb 2019 23:56:44 +0100

quassel (1:0.13.0-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Change the default channel to #lubuntu.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Jan 2019 11:27:36 +0100

quassel (1:0.13.0-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Apparmor profile.
    - Ufw profile.
    - Change the default channel to #lubuntu.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Dec 2018 05:46:52 +0000
