## quassel 0.13.1.1+rb2

=== debian/changelog ===
quassel (1:0.13.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:22:48 +0800

quassel (1:0.13.1-1+deb10u2) buster; urgency=medium

  * Actually delete quassel-core.NEWS as intended
  * Add patches to fix building against Qt 5.14

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jan 2020 15:47:27 -0500

quassel (1:0.13.1-1+deb10u1) buster; urgency=medium

  [ Felix Geyer ]
  * Fix quasselcore AppArmor denials when the config is saved. (Closes:
    #940482)

  [ Scott Kitterman ]
  * Correct default channel for Debian

 -- Scott Kitterman <scott@kitterman.com>  Thu, 16 Jan 2020 23:28:02 -0500
